summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--README1
-rwxr-xr-xsnapshot.sh5
2 files changed, 6 insertions, 0 deletions
diff --git a/README b/README
index 520f878..969d2f1 100644
--- a/README
+++ b/README
@@ -8,6 +8,7 @@ C source files are self-compiling, e.g. ./server.c.
     server.c       Maps torus.dat and listens on torus.sock.
     client.c       Curses client.
     help.c         Automated client which redraws a helpful banner.
+    snapshot.sh    Snapshots data file, appropriate for cron.
 
     chroot.sh      Creates chroot tarball.
     sshd_config    Anonymous login to chrooted client.
diff --git a/snapshot.sh b/snapshot.sh
new file mode 100755
index 0000000..2f15498
--- /dev/null
+++ b/snapshot.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e -u
+
+ts=`date +'%Y.%m.%d.%H.%M'`
+gzip -c -9 < "$1/torus.dat" > "$2/torus.dat.$ts.gz"
25594496c76&follow=1'>Turn off SIGPIPE at the socket levelJune McEnroe I imagine it's better to not generate SIGPIPE at all rather than generate and ignore. 2017-08-06Rewrite helpJune McEnroe This code is still terrible. 2017-08-04Use $() in snapshot.shJune McEnroe I don't know why I wrote ``. 2017-08-02Move in insert direction on ~June McEnroe 2017-08-02Preserve color on replaceJune McEnroe 2017-08-02Split tile access and modifyJune McEnroe 2017-08-01Madvise RANDOM and NOSYNCJune McEnroe 2017-07-31Fix removing clients from clientCastJune McEnroe 2017-07-31Build with debug infoJune McEnroe 2017-07-31Don't dump tiles in coreJune McEnroe 2017-07-31Use designated initializers for messagesJune McEnroe I did not realize this syntax was so powerful. 2017-07-31Show other clients' cursorsJune McEnroe Also unfuck removing on send failure. 2017-07-31Perform enter as two moves rather than a loopJune McEnroe 2017-07-31Track tile access countsJune McEnroe 2017-07-31Adjust move speed in clientJune McEnroe 2017-07-31Handle large movesJune McEnroe 2017-07-30Optimize builds for chrootJune McEnroe 2017-07-30Persist bright across color changesJune McEnroe 2017-07-30Add index.htmlJune McEnroe 2017-07-30Add snapshot.shJune McEnroe 2017-07-30Fix termcap patch for background colorsJune McEnroe 2017-07-30Update helpJune McEnroe 2017-07-30Fix help to track colorJune McEnroe 2017-07-30Support background colorsJune McEnroe 2017-07-30Track color only client-sideJune McEnroe 2017-07-30Add ostensible support for background colorsJune McEnroe 2017-07-30Add tile create and access timestampsJune McEnroe 2017-07-30Assert stable struct Tile field offsetsJune McEnroe 2017-07-30Add chroot.shJune McEnroe 2017-07-30Add ` commandJune McEnroe 2017-07-30Add sshd_configJune McEnroe 2017-07-30Add termcap patchJune McEnroe